Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.database
Interface DatabaseCardService.Constants

All Known Implementing Classes:
  DataObject, BasicDatabase

public abstract static interface DatabaseCardService.Constants

The `Constants` inner interface allows to use standardized constants.
It provides constants used to deal with database smartcards such as constants which describes SCQL operation or code used to manage SCQL exceptions.

Field Summary
`static byte` | `BEGIN`
`static byte` | `COMMIT`
`static byte` | `CREATE_DICTIONARY`
`static byte` | `CREATE_TABLE`
`static byte` | `CREATE_USER`
`static byte` | `CREATE_VIEW`
`static byte` | `DECLARE_CURSOR`
`static byte` | `DELETE`
`static byte` | `DELETE_USER`
`static byte` | `DROP_TABLE`
`static byte` | `DROP_VIEW`
`static byte` | `EQUAL_TO`
`static byte` | `FETCH`
`static byte` | `FETCH_NEXT`
`static byte` | `GRANT`
`static byte` | `GREATER_THAN`
`static byte` | `GREATER_THAN_OR_EQUAL_TO`
`static byte` | `INSERT`
`static byte` | `LESS_THAN`
`static byte` | `LESS_THAN_OR_EQUAL_TO`
`static byte` | `NEXT`
`static byte` | `NOT_EQUAL_TO`
`static byte` | `OPEN`
`static byte` | `PRESENT_USER`
`static byte` | `PRIV_ALL`
`static byte` | `PRIV_DELETE`
`static byte` | `PRIV_INSERT`
`static byte` | `PRIV_SELECT`
`static byte` | `PRIV_UPDATE`
`static byte` | `REVOKE`
`static byte` | `ROLLBACK`
`static byte` | `SCQL_OPERATION` INS coding constants (SCQL constant to perform SCQL operations such as createTable, createView, grant, revoke ...)
`static byte` | `SW1_CHECK_ERROR`
`static byte` | `SW1_COMMAND_NOT_ALLOWED`
`static byte` | `SW1_EXEC_ERROR`
`static byte` | `SW1_INSTRUCTION_CODE_NOT_SUPPORTED`
`static byte` | `SW1_OK`
`static byte` | `SW1_OK_WITH_RETURN`
`static byte` | `SW1_WARNING`
`static byte` | `SW1_WRONG_LENGTH`
`static byte` | `SW1_WRONG_PARAM`
`static byte` | `SW2_CHECK_ERROR`
`static byte` | `SW2_COMMAND_NOT_ALLOWED`
`static byte` | `SW2_EXEC_ERROR`
`static byte` | `SW2_INCORRECT_PARAM`
`static byte` | `SW2_INSTRUCTION_CODE_NOT_SUPPORTED`
`static byte` | `SW2_MEM_FAILURE`
`static byte` | `SW2_OBJECT_ALREADY_EXISTS`
`static byte` | `SW2_OBJECT_NOT_FOUND`
`static byte` | `SW2_OK`
`static byte` | `SW2_OPERATION_NOT_SUPPORTED`
`static byte` | `SW2_REQUIRED_OPERATION`
`static byte` | `SW2_SECURITY`
`static byte` | `SW2_WARNING`
`static byte` | `SW2_WRONG_PARAM`
`static byte` | `TAG_CH_CERTIFICATE_1`
`static byte` | `TAG_CH_CERTIFICATE_2`
`static byte` | `TAG_CH_NAME_1`
`static byte` | `TAG_CH_NAME_2`
`static byte` | `TRANSACTION_OPERATION`
`static byte` | `UPDATE`
`static byte` | `USER_OPERATION`

Field Detail

### SCQL_OPERATION

    public static final byte SCQL_OPERATION

  INS coding constants (SCQL constant to perform SCQL operations such as createTable, createView, grant, revoke ...)

### TRANSACTION_OPERATION

    public static final byte TRANSACTION_OPERATION

### USER_OPERATION

    public static final byte USER_OPERATION

### CREATE_TABLE

    public static final byte CREATE_TABLE

### CREATE_VIEW

    public static final byte CREATE_VIEW

### CREATE_DICTIONARY

    public static final byte CREATE_DICTIONARY

### DROP_TABLE

    public static final byte DROP_TABLE

### DROP_VIEW

    public static final byte DROP_VIEW

### GRANT

    public static final byte GRANT

### REVOKE

    public static final byte REVOKE

### DECLARE_CURSOR

    public static final byte DECLARE_CURSOR

### OPEN

    public static final byte OPEN

### NEXT

    public static final byte NEXT

### FETCH

    public static final byte FETCH

### FETCH_NEXT

    public static final byte FETCH_NEXT

### INSERT

    public static final byte INSERT

### UPDATE

    public static final byte UPDATE

### DELETE

    public static final byte DELETE

### BEGIN

    public static final byte BEGIN

### COMMIT

    public static final byte COMMIT

### ROLLBACK

    public static final byte ROLLBACK

### PRESENT_USER

    public static final byte PRESENT_USER

### CREATE_USER

    public static final byte CREATE_USER

### DELETE_USER

    public static final byte DELETE_USER

### EQUAL_TO

    public static final byte EQUAL_TO

### LESS_THAN

    public static final byte LESS_THAN

### GREATER_THAN

    public static final byte GREATER_THAN

### LESS_THAN_OR_EQUAL_TO

    public static final byte LESS_THAN_OR_EQUAL_TO

### GREATER_THAN_OR_EQUAL_TO

    public static final byte GREATER_THAN_OR_EQUAL_TO

### NOT_EQUAL_TO

    public static final byte NOT_EQUAL_TO

### PRIV_INSERT

    public static final byte PRIV_INSERT

### PRIV_SELECT

    public static final byte PRIV_SELECT

### PRIV_UPDATE

    public static final byte PRIV_UPDATE

### PRIV_DELETE

    public static final byte PRIV_DELETE

### PRIV_ALL

    public static final byte PRIV_ALL

### SW1_OK

    public static final byte SW1_OK

### SW1_OK_WITH_RETURN

    public static final byte SW1_OK_WITH_RETURN

### SW2_OK

    public static final byte SW2_OK

### SW1_WARNING

    public static final byte SW1_WARNING

### SW2_WARNING

    public static final byte SW2_WARNING

### SW1_EXEC_ERROR

    public static final byte SW1_EXEC_ERROR

### SW2_EXEC_ERROR

    public static final byte SW2_EXEC_ERROR

### SW2_MEM_FAILURE

    public static final byte SW2_MEM_FAILURE

### SW1_CHECK_ERROR

    public static final byte SW1_CHECK_ERROR

### SW2_CHECK_ERROR

    public static final byte SW2_CHECK_ERROR

### SW1_COMMAND_NOT_ALLOWED

    public static final byte SW1_COMMAND_NOT_ALLOWED

### SW2_COMMAND_NOT_ALLOWED

    public static final byte SW2_COMMAND_NOT_ALLOWED

### SW2_SECURITY

    public static final byte SW2_SECURITY

### SW2_REQUIRED_OPERATION

    public static final byte SW2_REQUIRED_OPERATION

### SW1_WRONG_PARAM

    public static final byte SW1_WRONG_PARAM

### SW2_WRONG_PARAM

    public static final byte SW2_WRONG_PARAM

### SW2_INCORRECT_PARAM

    public static final byte SW2_INCORRECT_PARAM

### SW2_OPERATION_NOT_SUPPORTED

    public static final byte SW2_OPERATION_NOT_SUPPORTED

### SW2_OBJECT_NOT_FOUND

    public static final byte SW2_OBJECT_NOT_FOUND

### SW2_OBJECT_ALREADY_EXISTS

    public static final byte SW2_OBJECT_ALREADY_EXISTS

### SW1_WRONG_LENGTH

    public static final byte SW1_WRONG_LENGTH

### SW1_INSTRUCTION_CODE_NOT_SUPPORTED

    public static final byte SW1_INSTRUCTION_CODE_NOT_SUPPORTED

### SW2_INSTRUCTION_CODE_NOT_SUPPORTED

    public static final byte SW2_INSTRUCTION_CODE_NOT_SUPPORTED

### TAG_CH_CERTIFICATE_1

    public static final byte TAG_CH_CERTIFICATE_1

### TAG_CH_CERTIFICATE_2

    public static final byte TAG_CH_CERTIFICATE_2

### TAG_CH_NAME_1

    public static final byte TAG_CH_NAME_1

### TAG_CH_NAME_2

    public static final byte TAG_CH_NAME_2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD